Request Format
Request Methods
Catalyst API follows the REST standards and supports the following HTTP methods for client requests for the described purposes:
- GET : To fetch records from a Catalyst resource
- POST : To insert new records in a Catalyst resource
- PUT : To update existing records in a Catalyst resource
- DELETE : To delete existing records in a Catalyst resource
You must specify the request method for the operation while executing a Catalyst API request.
Request URL
The API requests are sent in the CURL format. A typical request URL is of the format:
https://api.catalyst.zoho.com/baas/v1/project/{project_id}
/{resource_name}/{additional_resource_details}
Note: The base API URL will be the following for the other data centers:
- EU: https://api.catalyst.zoho.eu
- IN: https://api.catalyst.zoho.in
- AU: https://api.catalyst.zoho.com.au
- CA: https://api.catalyst.zohocloud.ca
- JP: https://api.catalyst.zoho.jp
- SA: https://api.catalyst.zoho.sa
The common parameters passed in the request URL include the Project ID of the Catalyst project and the resource ID of the specific resource instance that is being accessed.
Request Headers
Mandatory header passed in the cURL request includes the following:
- Authorization header: OAuth token i.e., the access_token
Recommended headers passed in the cURL request can include the following:
- Content-Type: A REST API standard that indicates the original media type of the resource passed. It is highly recommended to pass this header when the API requests include JSON payload or form data, for example.
Optional headers passed in the cURL request can include the following:
- Org ID: The Org ID of an organization that is not the default. You can obtain the Org ID from the multi-org portal in the Catalyst console.
- Environment: The environmental header to specify the environment the request must be executed for. You can indicate if the API request should be executed for the development or production environment of the project.
Request Body
Based on the purpose of the request, you can pass additional data in the body of the request in an API call, such as the column name and value for updating the column of a table, or the folder name for creating a folder.
The particulars of the request to be sent, such as the headers and JSON attributes to be passed in the request, are specified in each API help page for the specific request.
curl “https://api.catalyst.zoho.com/baas/v1/project/4000000006007/segment/4000000006023/cache"
-X POST
-d ‘{“cache_name”:“City”,“cache_value”:“London”}’
-H “CATALYST-ORG: 15090237”
-H “Environment:Development”
-H “Content-Type:application/json”
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57"”
Yes
No
Send your feedback to us